
Redmine - Defect #26451

Error attach files

2017-07-16 14:41 - Anton Gubarev

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version:  

Description

When i try attach any file in issue i have the error

attachments.js:71 Uncaught TypeError: Cannot read property 'length' of undefined

    at Object.<anonymous> (attachments.js:71)

    at j (jquery-1.11.1-ui-1.11.0-ujs-3.1.4.js:2)

    at Object.fireWith [as resolveWith] (jquery-1.11.1-ui-1.11.0-ujs-3.1.4.js:2)

    at x (jquery-1.11.1-ui-1.11.0-ujs-3.1.4.js:4)

    at XMLHttpRequest.b (jquery-1.11.1-ui-1.11.0-ujs-3.1.4.js:4)

(anonymous)    @    attachments.js:71

j    @    jquery-1.11.1-ui-1.11.0-ujs-3.1.4.js:2

fireWith    @    jquery-1.11.1-ui-1.11.0-ujs-3.1.4.js:2

x    @    jquery-1.11.1-ui-1.11.0-ujs-3.1.4.js:4

b    @    jquery-1.11.1-ui-1.11.0-ujs-3.1.4.js:4

 attachments.js line 71

redmine 3.4.1

History

#1 - 2017-07-16 14:48 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Please see submissions.

#2 - 2017-07-16 16:37 - Anton Gubarev

I`m sorry

Environment:

  Redmine version                3.4.1.stable

  Ruby version                   2.4.1-p111 (2017-03-22) [x86_64-linux]

  Rails version                  4.2.8

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.10

  Mercurial                      3.1.2

  Bazaar                         2.7.0

  Git                            2.1.4

  Filesystem                     

Redmine plugins:

  a_common_libs                  2.3.2

  ajax_counters                  1.5.0

  custom_menu                    1.7.4

  redmine_apijs                  5.3.0

  redmine_checklists             3.1.6

  redmine_ckeditor               1.1.4

  redmine_issue_tabs             1.2.3

  redmine_scm_hookhelpers        0.0.1

  rm_user_mentions               1.0.0

  toggl                          0.0.4
#3 - 2017-07-17 05:34 - Toshi MARUYAMA

Try without plugins.

#4 - 2019-02-03 19:25 - Marius BĂLTEANU

- Status changed from Needs feedback to Closed

- Resolution set to No feedback
